org.apache.ignite.internal.util.lang

## Interface GridAbsPredicate

All Known Subinterfaces:
  PA

All Known Implementing Classes:
  GridAbsPredicateX, PAX

    public interface GridAbsPredicate

Defines absolute (no-arg) predicate construct. Predicate like closure is a first-class function that is defined with (or closed over) its free variables that are bound to the closure scope at execution.

## Type Alias

To provide for more terse code you can use a typedef `P1` class or various factory methods in `GridFunc` class. Note, however, that since typedefs in Java rely on inheritance you should not use these type aliases in signatures.

## Thread Safety

Note that this interface does not impose or assume any specific thread-safety by its implementations. Each implementation can elect what type of thread-safety it provides, if any.

See Also:
  `P1`, `GridFunc`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `apply()` Predicate body.

### Method Detail

#### apply

    boolean apply()

Predicate body.

Returns:
  Return value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023